Subject: Re: od
From: David <[email-masked]>
To: Mark Himsley <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Feb 2002 14:03:55 GMT

Hi Mark,

Thank you for your reply to my message about the od utility: I wrote:

 >> I created at test file with 4 characters in it:
 >> 
 >> 	HTTP
 >> 
 >> Then, I run od -bcx and I get:
 >> 
 >> 110 124 124 120 012 000
 >>   H   T   T   P  \n  \0
 >> 5448 5054 000a

You wrote:

 > That is correct in this little-endian platform, see
 > http://info.astrian.net/jargon/terms/l/little-endian.html
 > 
 > >You can see that the hex values in the last line are reversed.
 > >I think they should be 4854 5450 000a.
 > 
 > Only if you were on a big-endian platform.

I can understand what you are saying if I interpret it to mean that
the hex storage values on my machine WindowsNT - which I assume from
you message is a big-endian platform - are faithfully represented
by the output from the od -bcx display.

What then surprises me is that the octal representation of this
same storage is 110 124 124 120 which is what I would expect.

It seems to me that you are suggesting that the only correct
representation of the hex storage values would require od to
ouput an ascii value of THPT. I reject, and od itself contradicts, 
this interpretation of the storage values as being meaningful.

I urge you to reconsider your opinion and to modify od to 
output 4854 5450.

David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/